Index: aim.c
===================================================================
--- aim.c	(revision 440ce0128879af680216691261571cf7a278f993)
+++ aim.c	(revision 0ff8fb572754799e77ac2cf2d386b7699f995257)
@@ -26,4 +26,5 @@
 };
 
+/*
 static char *msgerrreasons[] = {
 	"Invalid error",
@@ -54,4 +55,5 @@
 };
 static int msgerrreasonslen = 25;
+*/
 
 static void faimtest_debugcb(aim_session_t *sess, int level, const char *format, va_list va);
@@ -168,4 +170,7 @@
 {
   aim_send_im(owl_global_get_aimsess(&g), to, AIM_IMFLAGS_ACK, msg);
+
+  /* I don't know how to check for an error yet */
+  return(0);
 }
 
@@ -180,8 +185,8 @@
 int owl_aim_chat_sendmsg(char *chatroom, char *msg)
 {
+  return(0);
 }
 
 int owl_aim_process_events() {
-  int ret;
   aim_session_t *aimsess;
   aim_conn_t *waitingconn = NULL;
@@ -241,4 +246,5 @@
   /* free(priv->buddyicon); */
   /* exit(0); */
+  return(0);
 }
 
@@ -386,5 +392,4 @@
 static int conninitdone_bos(aim_session_t *sess, aim_frame_t *fr, ...)
 {
-  struct owlfaim_priv *priv = (struct owlfaim_priv *)sess->aux_data;
   char buddies[128]; /* this is the new buddy list */
   char profile[256]; /* this is the new profile */
@@ -406,5 +411,5 @@
 
   /*aim_bos_setprofile(sess, fr->conn, profile, awaymsg, AIM_CAPS_BUDDYICON | AIM_CAPS_CHAT | AIM_CAPS_GETFILE | AIM_CAPS_SENDFILE | AIM_CAPS_IMIMAGE | AIM_CAPS_GAMES | AIM_CAPS_SAVESTOCKS | AIM_CAPS_SENDBUDDYLIST | AIM_CAPS_ICQ | AIM_CAPS_ICQUNKNOWN | AIM_CAPS_ICQRTF | AIM_CAPS_ICQSERVERRELAY | AIM_CAPS_TRILLIANCRYPT); */
-  aim_bos_setprofile(sess, fr->conn, profile, awaymsg, AIM_CAPS_SENDBUDDYLIST | AIM_CAPS_CHAT | AIM_CAPS_ICQ | AIM_CAPS_ICQUNKNOWN | AIM_CAPS_ICQRTF | AIM_CAPS_ICQSERVERRELAY | AIM_CAPS_TRILLIANCRYPT);
+  aim_bos_setprofile(sess, fr->conn, profile, awaymsg, AIM_CAPS_SENDBUDDYLIST | AIM_CAPS_CHAT );
   aim_bos_reqbuddyrights(sess, fr->conn);
 
@@ -473,6 +478,4 @@
 int logout(aim_session_t *sess)
 {
-  struct owlfaim_priv *priv = (struct owlfaim_priv *)sess->aux_data;
-
   aim_session_kill(sess);
 
@@ -674,4 +677,8 @@
 static int faimtest_parse_motd(aim_session_t *sess, aim_frame_t *fr, ...)
 {
+  char *msg;
+  fu16_t id;
+  va_list ap;
+  /* static int codeslen = 5;
   static char *codes[] = {
     "Unknown",
@@ -681,9 +688,6 @@
     "Top o' the world!"
   };
-  static int codeslen = 5;
-  char *msg;
-  fu16_t id;
-  va_list ap;
-  
+  */
+
   return 1;
   
@@ -1462,4 +1466,5 @@
 static int faimtest_parse_misses(aim_session_t *sess, aim_frame_t *fr, ...)
 {
+  /*
   static char *missedreasons[] = {
     "Invalid (0)",
@@ -1469,5 +1474,5 @@
     "Evil Receiver"
   };
-  static int missedreasonslen = 5;
+  static int missedreasonslen = 5; */
   
   va_list ap;
@@ -1508,4 +1513,5 @@
 static int faimtest_parse_ratechange(aim_session_t *sess, aim_frame_t *fr, ...)
 {
+  /*
   static char *codes[5] = {
     "invalid",
@@ -1515,4 +1521,5 @@
     "limit cleared"
   };
+  */
   va_list ap;
   fu16_t code, rateclass;
@@ -1587,5 +1594,6 @@
   va_list ap;
   char *address, *SNs;
-  int i, num;
+  int num;
+  /* int i; */
   
   va_start(ap, fr);
@@ -1748,5 +1756,6 @@
   va_list ap;
   aim_userinfo_t *userinfo;
-  int count, i;
+  int count;
+  /* int i; */
   
   va_start(ap, fr);
@@ -1765,7 +1774,9 @@
 static int faimtest_chat_leave(aim_session_t *sess, aim_frame_t *fr, ...)
 {
-  va_list ap;
   aim_userinfo_t *userinfo;
-  int count , i;
+  va_list ap;
+  int count;
+  /* int i; */
+
   
   va_start(ap, fr);
@@ -1789,9 +1800,10 @@
   struct aim_chat_roominfo *roominfo;
   char *roomname;
-  int usercount, i;
+  int usercount;
   char *roomdesc;
   fu16_t flags, unknown_d2, unknown_d5, maxmsglen, maxvisiblemsglen;
   fu32_t creationtime;
   const char *croomname;
+  /* int i; */
   
   croomname = aim_chat_getname(fr->conn);
@@ -1875,5 +1887,6 @@
     int maxrooms;
     struct aim_chat_exchangeinfo *exchanges;
-    int exchangecount, i;
+    int exchangecount;
+    /* int i; */
     
     maxrooms = va_arg(ap, int);
